ru.bitel.bgbilling.modules.trayinfo.server.bean

## Class TrayInfoTypeManager

- java.lang.Object
- - ru.bitel.bgbilling.modules.trayinfo.server.bean.TrayInfoTypeManager

-     public class TrayInfoTypeManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrayInfoTypeManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteTrayInfoType(int id)`
    `ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoType` | `getTrayInfoTypeById(int id)`
    `java.util.List<ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoType>` | `getTrayInfoTypesList(java.util.Date date)`
    `void` | `updateTrayInfoType(ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrayInfoTypeManager

          public TrayInfoTypeManager(java.sql.Connection con,
                                     int mid)

  - ### Method Detail

    - #### getTrayInfoTypeById

          public ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoType getTrayInfoTypeById(int id)
                                                                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTrayInfoTypesList

          public java.util.List<ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoType> getTrayInfoTypesList(java.util.Date date)
                                                                                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteTrayInfoType

          public void deleteTrayInfoType(int id)
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateTrayInfoType

          public void updateTrayInfoType(ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoType type)
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`